package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFHV0 extends MwfRequest<MWFHV0, MWFHV0Response> {

    @Parameter(name = "BIRTH_DATE1")
    MWFHV0 birthDate1(java.util.Date birthDate1);
    @Parameter(name = "BIRTH_DATE2")
    MWFHV0 birthDate2(java.util.Date birthDate2);
    @Parameter(name = "CHANNEL_ID")
    MWFHV0 channelId(String channelId);
    @Parameter(name = "EMPLOYMENT_TYPE1")
    MWFHV0 employmentType1(String employmentType1);
    @Parameter(name = "EMPLOYMENT_TYPE2")
    MWFHV0 employmentType2(String employmentType2);
    @Parameter(name = "ID_OM")
    MWFHV0 idOm(String idOm);
    @Parameter(name = "INSTALMENT")
    MWFHV0 instalment(Double instalment);
    @Parameter(name = "INSURANCE")
    MWFHV0 insurance(String insurance);
    @Parameter(name = "LOAN_ACCOUNT")
    MWFHV0 loanAccount(String loanAccount);
    @Parameter(name = "LOAN_AMOUNT")
    MWFHV0 loanAmount(Double loanAmount);
    @Parameter(name = "PRODUCT_CLASS")
    MWFHV0 productClass(String productClass);
}
